Gem::Specification.new do |s|
  s.name            = 'logstash-input-sqs_to_s3'
  s.version         = '1.5.0'
  s.licenses        = ['Apache License (2.0)']
  s.summary         = "Get logs from AWS s3 buckets as issued by an object-created event via sqs."
  s.description     = "This gem is a logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/plugin install gemname. This gem is not a stand-alone program. This version works with Logstash 5."
  s.authors         = ["Heiko Finzel"]
  s.email           = 'hfi@boreus.de'
  s.homepage        = "https://www.boreus.de"
  s.require_paths = ["lib"]

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE','NOTICE.TXT']

  # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "input" }

  # Gem dependencies
  s.add_runtime_dependency "logstash-core-plugin-api", ">= 1.60", "<= 2.99"

  s.add_runtime_dependency 'logstash-codec-json'
  s.add_runtime_dependency "logstash-mixin-aws", ">= 1.0.0"

  s.add_development_dependency 'logstash-devutils'
end

